Rezepte
ReferenceRecipes

/api/v1/recipes

List and search recipes

GET/api/v1/recipes
rezepte_session<token>

Session cookie set by POST /api/v1/auth/login.

In: cookie

Query Parameters

q?string

Full-text search query

Lengthlength <= 100
tags?array<string>|

Restrict to recipes carrying all of these tags

maxMinutes?integer

Only recipes whose total time is at most this many minutes

Formatint64
Range0 <= value <= 1440
favorites?boolean

Restrict to the caller's own favorites

author?string

Restrict to recipes written by this username

Lengthlength <= 50
sort?string

Result order: tasty puts the most tasty marks first

Default"updated"

Value in

  • "updated"
  • "created"
  • "title"
  • "tasty"
page?integer

1-based page number

Formatint64
Range1 <= value
Default1
limit?integer

Page size

Formatint64
Range1 <= value <= 100
Default24

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/api/v1/recipes"
{  "$schema": "https://example.com/api/v1/schemas/Page.json",  "items": [    {      "coverImageId": "string",      "createdBy": {        "avatarId": "string",        "color": "string",        "displayName": "string",        "id": "string",        "username": "string"      },      "favorite": true,      "id": "string",      "imageBytes": 0,      "imageCount": 0,      "newComments": true,      "slug": "string",      "tags": [        "string"      ],      "tasty": true,      "tastyCount": 0,      "title": "string",      "totalMinutes": 0,      "updatedAt": "2019-08-24T14:15:22Z",      "updatedBy": {        "avatarId": "string",        "color": "string",        "displayName": "string",        "id": "string",        "username": "string"      }    }  ],  "limit": 0,  "page": 0,  "total": 0}